<?php

function splitline($line, $maxlen) {
	if (strlen($line) <= $maxlen)
		return array($line);
	$output = array();
	while (strlen($line))
	{
		$emaxlen = $maxlen;
		$nout = '';
		if (isset($colour) && !preg_match('/^0x/', $line))
		{
			$nout .= $colour;
			$emaxlen -= strlen($colour);
		}
		if (preg_match('/^(.{0,' . $emaxlen . '})(?:\s+|$)/', $line, $M))
		{
			$nout .= $M[1];
			$line = substr($line, strlen($M[0]));
		}
		else
		{
			$nout .= substr($line, 0, $emaxlen);
			$line = substr($line, $emaxlen);
		}
		if (preg_match('/.*(0x.{6})/', $nout, $M))
			$colour = $M[1];
		$nout = preg_replace('/0x.{6}$/', '', $nout);
		$output[] = $nout;
	}
	return $output;
}
